Ask Your Question
0

Search for 'catkin' in workspace failed (catkin_find_pkg catkin /home/imr/catkin_ws/src): Traceback (most recent call last) [closed]

asked 2017-05-30 12:58:05 -0500

Abdu gravatar image

updated 2017-05-30 16:56:23 -0500

I get the following error with catkin_make, I was trying to install Sphinx and its dependencies, I am using ros indigo,

anyone can help me please ????

imr@IMR-PC:~/catkin_ws$ catkin_make
Base path: /home/imr/catkin_ws
Source space: /home/imr/catkin_ws/src
Build space: /home/imr/catkin_ws/build
Devel space: /home/imr/catkin_ws/devel
Install space: /home/imr/catkin_ws/install
####
#### Running command: "make cmake_check_build_system" in "/home/imr/catkin_ws/build"
####
CMake Error at CMakeLists.txt:20 (message):
  Search for 'catkin' in workspace failed (catkin_find_pkg catkin
  /home/imr/catkin_ws/src): Traceback (most recent call last):

    File "/usr/bin/catkin_find_pkg", line 5, in <module>
      from pkg_resources import load_entry_point
    File "/usr/local/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 70, in <module>
      import packaging.version

  ImportError: No module named packaging.version


-- Configuring incomplete, errors occurred!
See also "/home/imr/catkin_ws/build/CMakeFiles/CMakeOutput.log".
See also "/home/imr/catkin_ws/build/CMakeFiles/CMakeError.log".
make: *** [cmake_check_build_system] Error 1
Invoking "make cmake_check_build_system" failed
edit retag flag offensive reopen merge delete

Closed for the following reason duplicate question by Abdu
close date 2017-05-31 08:37:48.699228

Comments

Please use the preformatted text button (101010) when posting errors or code snippets.

jarvisschultz gravatar image jarvisschultz  ( 2017-05-30 16:57:06 -0500 )edit

1 Answer

Sort by » oldest newest most voted
0

answered 2017-05-30 17:00:26 -0500

Sounds like you have a version of the Python module setuptools that needs a newer version of pip. Here are a few things to try/resources:

edit flag offensive delete link more

Comments

Thank u so much for your help,

The problem was fixed using the following commands, then I installed some missing files, now catkin_make works fine

sudo apt-get purge python-pip python-setuptools

curl -O https://bootstrap.pypa.io/get-pip.py

sudo python get-pip.py

Abdu gravatar image Abdu  ( 2017-05-31 08:34:10 -0500 )edit

Glad that the links pointed you in the right direction! Rather than closing the question, it would likely make more sense to accept the answer.

jarvisschultz gravatar image jarvisschultz  ( 2017-05-31 10:35:03 -0500 )edit

Question Tools

2 followers

Stats

Asked: 2017-05-30 12:58:05 -0500

Seen: 2,036 times

Last updated: May 30 '17